Delete writable_entity by id
DELETE /obp/dynamic-entity/writable_entity/WRITABLE_ENTITY_ID
OBPv4.0.0-dynamicEntity_deletewritable_entity_ Roles: CanDeleteDynamicEntityRecord_writable_entity(per bank) _Writable_entityDynamic-EntityDynamic
Delete writable_entity by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"writable_entity"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"status_code": "verified",
"status_message": "could not find owner",
"authority": "authority"
}Example success response
{
"writable_entity": {
"writable_entity_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"status_code": "verified",
"status_message": "could not find owner",
"authority": "authority"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.